---
services:
  backend:
    build:
      context: backend
      target: develop
    volumes:
      - ./backend:/app/backend/
      - node_modules:/app/backend/node_modules
      - frontend_node_modules:/app/frontend/node_modules
      - ./frontend/:/app/frontend/
    depends_on:
      db:
        condition: service_healthy
volumes:
  node_modules: {}
  frontend_node_modules: {}
